[Cnorm,params] = renflow('gammap_case2');

Nstep = params.Nstep; p = params.p; kappa = params.kappa; alpha = params.alpha;

Nfit = 1000;
gamma = zeros(size(p));
for ip = 1:length(p)
  afit = polyfit([Nfit:Nstep]',log(squeeze(Cnorm(Nfit:Nstep,ip))),1);
  gamma(ip) = -afit(1);
  figure(1)
  semilogy(Cnorm(:,ip),'-'), hold on
  semilogy(exp(afit(1)*(0:Nstep) + afit(2)),'r-')
end
hold off

figure(2)
lambda = gamma(find(p == 1));
plot(p,gamma,'.-','LineWidth',2), hold on
iz = find(p == 0);
plot(p,(gamma(iz+1)-gamma(iz))/(p(iz+1)-p(iz))*p,'r--','LineWidth',2)
hold off
xlabel('$p$','Interpreter','LaTeX','FontSize',22)
ylabel('$\gamma_p$','Interpreter','LaTeX','FontSize',22)
set(gca,'FontSize',18,'FontName','Times')

fprintf('lambda = %e (Vanneste ',lambda)
if params.type == 1
  fprintf('%e)\n',.460*(kappa*alpha)^(2/3))
else
  fprintf('%e)\n',alpha/2*(kappa*1)^(1/2))
end
fprintf('gamma2 = %e (Vanneste ',gamma(find(p == 2)))
if params.type == 1
  fprintf('%e)\n',.881*(kappa*alpha)^(2/3))
else
  fprintf('%e)\n',alpha/2*(kappa*2)^(1/2))
  hold on
  ipos = find(p>=0);
  plot(p(ipos),alpha/2*(kappa*p(ipos)).^(1/2),'g--','LineWidth',2)
  hold off
end
print -dpdf renflow_gammap.pdf
